/* ============================================================================= */
/* Mobile (< 767px) */
/* ============================================================================= */

/* --------------- Typography --------------- */
.modal-container .modal-content h2 {
  font-weight: var(--font-title3-weight);
  font-size: var(--font-title3-size);
  line-height: var(--font-title3-line-height);
  letter-spacing: var(--font-title3-letter-spacing);
}

.modal-container button {
  font-weight: var(--font-body2-weight);
  font-size: var(--font-body2-size);
  line-height: var(--font-body2-line-height);
  letter-spacing: var(--font-body2-letter-spacing);
}

.modal-container .modal-content .checkbox-container label,
.modal-container .modal-content #warningModal_ment {
  font-weight: var(--font-subtitle3-weight);
  font-size: var(--font-subtitle3-size);
  line-height: var(--font-subtitle3-line-height);
  letter-spacing: var(--font-subtitle3-letter-spacing);
}

.modal-container .modal-content p {
  font-weight: var(--font-subtitle4-weight);
  font-size: var(--font-subtitle4-size);
  line-height: var(--font-subtitle4-line-height);
  letter-spacing: var(--font-subtitle4-letter-spacing);
}

.modal-container .modal-content #warningModal_ment {
  font-weight: var(--font-weight-bold);
  white-space: pre-wrap; /* \n을 줄바꿈으로 렌더링 */
  /* text-align: center; */
}

/* --------------- Layout --------------- */
/* ---- Backdrop ---- */
/* 모달 뒷 배경 */
.modal-overlay {
  position: fixed;
  z-index: 1002;
  /* 화면 전체에 고정 */
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  /* 반투명 검은색 배경 */
  display: flex;
  /* Flexbox로 자식요소 중앙 정렬 */
  justify-content: center;
  align-items: center;

  /* 부드러운 등장을 위한 전환 효과 */
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
}

/* 모달이 활성화될 때의 스타일 */
.modal-overlay.visible {
  opacity: 1;
  visibility: visible;
}

/* ---- Container ---- */
.modal-container {
  background-color: var(--color-white);
  padding: var(--spacing-6);
  /* rem 단위로 패딩을 주어 유연하게 조절 */
  border-radius: 0.5rem; /* 8px */
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  /* text-align: center; */

  /* 모바일에서는 화면 너비의 90% */
  width: 90%;
  /* PC에서는 최대 600px까지만 커지도록 */
  max-width: 600px;

  /* 부드러운 등장을 위한 변형 효과 */
  transform: scale(0.9);
  transition: transform 0.3s ease;
  max-height: 80vh;
  /* 화면 높이의 90% */
  display: flex;
  flex-direction: column;
  gap: var(--spacing-6);
}

/* 모달 활성화 시 컨텐츠 크기 변화 */
.modal-overlay.visible .modal-container {
  transform: scale(1);
}

.modal-content {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-5);

  overflow-y: auto;
  flex-grow: 1;
  /* * (선택) flex-grow: 1; 
    * .modal-container 내에서 .modal-footer를 제외한
    * "남은 공간을 모두 차지"하도록 설정합니다.
    * 이렇게 하면 모달 크기가 유동적으로 변할 때 스크롤 영역도 함께 조절됩니다.
    * 이 속성을 사용하지 않으려면, 대신 height나 max-height를 직접 지정해야 합니다.
    */
}

/* ---- Button ---- */
.modal-buttons {
  display: flex;
  justify-content: center;
  gap: var(--spacing-3);
}

/* ---- Checkbox ---- */
.checkbox-container {
  display: flex;
  align-items: center;
}

/* ============================================================================= */
/* Tablet (>= 768px) */
/* ============================================================================= */

@media (min-width: 768px) {
}

/* ============================================================================= */
/* PC (>= 1280px) */
/* ============================================================================= */
@media (min-width: 1280px) {
  /* --------------- Typography --------------- */
  .modal-container .modal-content p {
    font-weight: var(--font-subtitle3-weight);
    font-size: var(--font-subtitle3-size);
    line-height: var(--font-subtitle3-line-height);
    letter-spacing: var(--font-subtitle3-letter-spacing);
  }
}